import { ElementRef, EventEmitter, OnChanges, OnDestroy, OnInit, Renderer2, SimpleChanges } from '@angular/core';
import { NtFileError } from './file-select-errors';
export declare class NtFileSelectDirective implements OnInit, OnChanges, OnDestroy {
    private _elementRef;
    private _renderer;
    private _destroy;
    private _accept;
    get accept(): string | Array<string>;
    set accept(value: string | Array<string>);
    private _limitSize;
    get limitSize(): number;
    set limitSize(value: number);
    private _multiple;
    get multiple(): boolean;
    set multiple(value: boolean);
    private _disabled;
    get disabled(): boolean;
    set disabled(value: boolean);
    select: EventEmitter<File[]>;
    errors: EventEmitter<NtFileError[]>;
    private _input;
    constructor(_elementRef: ElementRef, _renderer: Renderer2);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    trigger(event: Event): void;
    private _updateProperty;
    private _change;
    private _fileTypeValid;
    private _fileSizeValid;
    ngOnDestroy(): void;
}
